summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authornot_anonymous2015-07-05 18:16:25 -0600
committernot_anonymous2015-07-05 18:16:25 -0600
commit26cacbdd35f7e331b471215140d8e90f55c4ec04 (patch)
tree9b3413a24f816f405f470308737da7f0cf75cc2f
downloadaur-26cacbdd35f7e331b471215140d8e90f55c4ec04.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD32
2 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e39fbd40d1e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = xdx
+ pkgdesc = Ham Radio DX-cluster client
+ pkgver = 2.4.3
+ pkgrel = 1
+ url = http://sourceforge.net/projects/xdxclusterclient/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = gtk2
+ optdepends = hamlib: rig ionterfacing
+ optdepends = gnuplot: graph output
+ optdepends = sox: sound output
+ source = http://downloads.sourceforge.net/project/xdxclusterclient/2.4.3/xdx-2.4.3.tar.gz
+ md5sums = 029febeeb7b23349db828f489e214787
+ sha256sums = fc6e49a2c2a9d7c729acf68e659bf8f5ebd402dc3be0f781bd50b8b76b01427c
+
+pkgname = xdx
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..bb3effdb910
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: not_anonymous <nmlibertarian@gmail.com>
+# Contributor: Vitaliy Berdinskikh ur6lad[at]i.ua
+# Original Submission: Bob Finch <w9ya@qrparci.net>
+
+pkgname=xdx
+_pkgname=xdxclusterclient
+pkgver=2.4.3
+pkgrel=1
+pkgdesc="Ham Radio DX-cluster client"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/xdxclusterclient/"
+license=('GPL')
+depends=('gtk2')
+optdepends=('hamlib: rig ionterfacing'
+ 'gnuplot: graph output'
+ 'sox: sound output')
+source=(http://downloads.sourceforge.net/project/${_pkgname}/$pkgver/$pkgname-$pkgver.tar.gz)
+
+build () {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+
+# rm -r $startdir/pkg/usr/share/xdx/wwv.gnuplot~
+}
+md5sums=('029febeeb7b23349db828f489e214787')
+sha256sums=('fc6e49a2c2a9d7c729acf68e659bf8f5ebd402dc3be0f781bd50b8b76b01427c')